| Home · All Classes · All Namespaces · Modules · Functions · Files

# Introspectable Struct Reference

`#include <TelepathyQt4/readiness-helper.h>`

List of all members.

## Public Member Functions

- Introspectable ()
- Introspectable (const QSet< uint > &makesSenseForStatuses, const Features &dependsOnFeatures, const QStringList &dependsOnInterfaces, IntrospectFunc introspectFunc, void *introspectFuncData, bool critical=false)
- Introspectable (const Introspectable &other)
- ~Introspectable ()
- Introspectable & operator= (const Introspectable &other)

## Constructor & Destructor Documentation

Introspectable | ( |  | ) |

Introspectable | ( | const QSet< uint > & | makesSenseForStatuses,
|  | const Features & | dependsOnFeatures,
|  | const QStringList & | dependsOnInterfaces,
|  | IntrospectFunc | introspectFunc,
|  | void * | introspectFuncData,
|  | bool | critical = `false` |
| ) |  |  |

Introspectable | ( | const Introspectable & | other | ) |

~Introspectable | ( |  | ) |

## Member Function Documentation

ReadinessHelper::Introspectable & operator= | ( | const Introspectable & | other | ) |